oracle.xml.diff

## Interface DiffOpReceiver

    public interface DiffOpReceiver

DiffOpReceiver. A mechanism to return diff operations programmatically. The user can implement this interface, and pass it to the diff via one of the `diff(...)` methods of `XmlUtils` that take a `DiffOpReceiver`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `receiveDiff(java.util.List<DiffOp> diffOps)`

### Method Detail

#### receiveDiff

    void receiveDiff(java.util.List<DiffOp> diffOps)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

Copyright © 2003, 2020, Oracle and/or its affiliates.